#pragma once
#include "ParamRange.h"

namespace ffgl
{

class ParamInteger : public ParamRange
{
public:
	ParamInteger( const std::string& name, int defaultValue, const RangeStruct range );
	ParamInteger( const std::string& name, const std::string& uniformName, int defaultValue, const RangeStruct range );

	~ParamInteger();

	const std::string& GetDisplay() const override;

	int GetIntegerValue() const;
	void SetIntegerValue( int newValue );

protected:
	RangeStruct range;
};

}//End namespace ffgl
